/********************************************************************************
	 
	 Revisiting Gender Identity and Relative Income within Households –
	A cautionary tale on the potential pitfalls of density estimators.

		Daniel Kuehnle, Michael Oberfichtner, Kerstin Ostermann
						 Last update: March 2021
								
					Master Dofile for the US analyses

Note: 
As the data structure on the SSB data server is differnt from the SIPP Gold 
Standard Files (16 instead of 4 implicates), we provide two different code
blocks; one for the SSB data and one for the SIPP Gold Standard Files. Both 
code blocks perform the same steps and analyses, but account for the different
data structures.

WARNING:
Running the SIPP Gold Standard Files code block on the SSB server will produce
an error and vice versa. 

*******************************************************************************/
*If you work on th SSB server
********************************************************************************
//prepare the data
do KOO_SSBpreparation.do

//analyse the data 
*	 generates Panel B for Figure 1
do KOO_SSBanalysis.do

********************************************************************************
*If you work with the SIPP Gold Standard Files (via US Census Bureau staff)
********************************************************************************
//prepare the data
do KOO_SIPPpreparation.do

//analyse the data 
*	 generates Panel B for Figure 1
do KOO_SIPPanalysis.do

